// Persistence of Vision Raytracer
// Demo of Demo3D option in AniMake
// By Derek w. Taylor

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "Demo3D.inc"

camera {
   location <0 0.5 -16>
   direction <0.0 0.0 1.0>
   up  <0.0  1.0  0.0>
   right <1.6 0.0 0.0>
   look_at <0.01 0.5 0.01>
 }

object {                               // BALL 1
  sphere { <0 0 0> 1.00  }
  texture {
    Dull
    color red 1.0 green 0.5 blue 0.0
    }
  translate <BALL00001_X BALL00001_Y BALL00001_Z>
  rotate <0 0 0>
  }

object {                               // BALL 2
  sphere { <0 0 0> 1.00  }
  texture {
    Dull
    color red 0.5 green 1.0 blue 0.0
    }
  translate <BALL00002_X BALL00002_Y BALL00002_Z>
  }

object {                               // BALL 3
  sphere { <0 0 0> 1.00  }
  texture {
    Dull
    color red 0.0 green 1.0 blue 0.5
    }
  translate <BALL00003_X BALL00003_Y BALL00003_Z>
  }

object {                               // BALL 4
  sphere { <0 0 0> 1.00  }
  texture {
    Dull
    color red 0.0 green 1.0 blue 1.0
    }
  translate <BALL00004_X BALL00004_Y BALL00004_Z>
  }

object {                               // BALL 5
  sphere { <0 0 0> 1.00  }
  texture {
    Dull
    color red 0.0 green 0.5 blue 1.0
    }
  translate <BALL00005_X BALL00005_Y BALL00005_Z>
  }

object {                               // BALL 6
  sphere { <0 0 0> 1.00  }
  texture {
    Dull
    color red 0.0 green 0.0 blue 1.0
    }
  translate <BALL00006_X BALL00006_Y BALL00006_Z>
  }

object {                               // BALL 7
  sphere { <0 0 0> 1.00  }
  texture {
    Dull
    color red 0.5 green 0.0 blue 1.0
    }
  translate <BALL00007_X BALL00007_Y BALL00007_Z>
  }

object {                               // BALL 8
  sphere { <0 0 0> 1.00  }
  texture {
    Dull
    color red 1.0 green 0.0 blue 1.0
    }
  translate <BALL00008_X BALL00008_Y BALL00008_Z>
  }

object {                               // BALL 9
  sphere { <0 0 0> 1.00  }
  texture {
    Dull
    color red 1.0 green 0.0 blue 0.5
    }
  translate <BALL00009_X BALL00009_Y BALL00009_Z>
  }

object {                               // BALL 10
  sphere { <0 0 0> 1.00  }
  texture {
    Dull
    color red 1.0 green 0.0 blue 0.0
    }
  translate <BALL00010_X BALL00010_Y BALL00010_Z>
  }

object {
  light_source { <4.0  15.0  -5.0> color White }
}
