// POV-Ray 1.0 data file
// Demo for Animake by Derek Taylor

#include "revolve.inc"                  // #include file built by AniMake

camera {
  location  <0 0 -10>
  direction <0.0 0.0 1.0>
  up        <0.0 1.0 0.0>
  right     <1.6 0.0 0.0>
  look_at   <0.01 0.01 0.01>
 }


// Ball we want to rotate around the y-axis.
object {
  quadric {
    <1.0 1.0 1.0>                    // Identical to Ellipsoid
    <0.0 0.0 0.0>
    <0.0 0.0 0.0>
    -1.0
   }

  texture {
    specular 0.5                     // give it a dull texture...
    roughness 0.15
    color red 0.0 green 0.0 blue 1.0 // and color it blue.
   }

  translate <4 0 0>                  // Move it a bit along x-axis
  rotate <0 Y_ROTATE 0>              // and rotate by y_rotate amount
 }

object {
  light_source { <4.0 18.0 -5.0> color red 1.0 green 1.0 blue 1.0 }
}
